Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 586235 - [KMS] Out of Scan Range
Summary: [KMS] Out of Scan Range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 06:33 UTC by Marko Myllynen
Modified: 2010-05-18 08:09 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.33.3-85.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 08:09:34 UTC
Type: ---


Attachments (Terms of Use)
dmesg output, screen normal (55.65 KB, text/plain)
2010-04-27 06:34 UTC, Marko Myllynen
no flags Details
dmesg output, screen blank (55.36 KB, text/plain)
2010-04-27 06:34 UTC, Marko Myllynen
no flags Details
diff of good vs. bad drm messages (20.36 KB, text/plain)
2010-04-28 13:41 UTC, Chuck Ebbert
no flags Details

Description Marko Myllynen 2010-04-27 06:33:03 UTC
Description of problem:
After installing Fedora 13 Beta on a system with Intel display adapter and an old Sun monitor everything worked ok. However, after upgrading to kernel 2.6.33.2-57.fc13.i686.PAE and booting, then while KMS is being enabled the screen goes blank and the monitor displays information "Out of Scan Range".

I'll attach dmesg outputs with both kernels using drm.debug=0x06.

Version-Release number of selected component (if applicable):
2.6.33.2-57.fc13.i686.PAE

How reproducible:
Always

Comment 1 Marko Myllynen 2010-04-27 06:34:19 UTC
Created attachment 409365 [details]
dmesg output, screen normal

Comment 2 Marko Myllynen 2010-04-27 06:34:45 UTC
Created attachment 409366 [details]
dmesg output, screen blank

Comment 3 Chuck Ebbert 2010-04-28 13:41:47 UTC
Created attachment 409833 [details]
diff of good vs. bad drm messages


Note You need to log in before you can comment on or make changes to this bug.